# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/TINE/include
LIBS = /usr/TINE/lib
HDRS = project.def \
	prolog.h \
	srvcore.h \
	swaplib.h \
	hstlib.h \
	globals.h \
	dbtools.h \
	toolkit.h \
	errors.h \
	tinetype.h \
	tinedefs.h \
	almlib.h

CFLAGS          = 
CPU             = MC68LC040
TOOL            = gnu
CC              =  cc68k -c -I $(WIND_BASE)/target/h -nostdinc -DCPU=MC68040 -m68040 -fno-builtin -O -I${INCL}

#include $(WIND_BASE)/target/h/make/defs.bsp
#include $(WIND_BASE)/target/h/make/make.$(CPU)$(TOOL)
#include $(WIND_BASE)/target/h/make/defs.$(WIND_HOST_TYPE)

CCL = ld68k
LM = 

fec.o: devsrv.o sineqm.o 
	${CCL} -o fec.o -r devsrv.o sineqm.o ${LM}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

sineqm.o: sineqm.c ${HDRS}
	${CC} sineqm.c

clean:
	rm -f *.o
